chhoda

macrumors 6502
Original poster
Oct 25, 2008
285
1
hi all, if i ake an app in xcode 4.2 in mac 10.6.8 and send the simulator binaries to somebody, can he install to his apps simulator directory in 10.8 and run and see..

i know in device it may not work, but i will be fine if it runs in simulator for the time being
 

Duncan C

macrumors 6502a
Jan 21, 2008
853
0
Northern Virginia
hi all, if i ake an app in xcode 4.2 in mac 10.6.8 and send the simulator binaries to somebody, can he install to his apps simulator directory in 10.8 and run and see..

i know in device it may not work, but i will be fine if it runs in simulator for the time being

Never tried that. I don't think Apple intended for you do do that, so the burden would be on you to make it work.

Likely it would only work if you used the exact same version of Xcode, simulator, and iOS SDK on both platforms.

When you say take an app from Xcode 4.2/Mac OS 10.6.8 and send it to somebody who runs it under 10.8, it very likely would not work if the recipient is running a later version of Xcode. They would likely have to go to the developer site and download Xcode 4.2 (assuming it's still available) and run that.

Try it and see if it works.
 

idelovski

macrumors regular
Sep 11, 2008
235
0
It works, at least this:

Just built one of my old projects in 4.2 (SL) and moved it to 5.0 on ML, iOS 7 Simulator and all seems to be working just fine.
 

chhoda

macrumors 6502
Original poster
Oct 25, 2008
285
1
thanks idevloski, when you said, you moved, did you move the simulator binary or moved the code and built it in 5.0 ?

i need the former

ch
 

idelovski

macrumors regular
Sep 11, 2008
235
0
thanks idevloski, when you said, you moved, did you move the simulator binary or moved the code and built it in 5.0 ?

i need the former

ch

Whole GUID-named folder. I zipped it and unzipped inside the other simulator, in 7.0 folder.

How could I possibly assume you were asking if the code can be moved? Sure it can! (give or take few errors and warnings) ;)
 

chhoda

macrumors 6502
Original poster
Oct 25, 2008
285
1
Thanks a lot for all the answers.

now my problem is, i have an imac which is 10.5.x how can i change it to 10.8.x ? are there any dmgs i can download and run to upgrade this ?

regards
ch
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.